import { DetailStringTagFieldWidget } from '../../../detail';
export declare class GalleryStringTagFieldWidget extends DetailStringTagFieldWidget {
    protected scope: string | undefined;
    protected rowIndex: number | undefined;
    initialize(props: any): this;
    protected get displayNameList(): {
        label: string;
    }[];
    protected get wrap(): boolean;
    protected get scopeProps(): Record<string, unknown> | undefined;
    protected $$beforeMount(): void;
}
/**
 * @deprecated please using GalleryStringTagFieldWidget
 */
export declare const GalleryStringTagWidget: typeof GalleryStringTagFieldWidget;
